#!/bin/bash
# Job Name and Files (also --job-name)
#SBATCH -J sumatra
#Output and error (also --output, --error):
#SBATCH -o ./%j.%x.out
#SBATCH -e ./%j.%x.out
#Notification and type
#SBATCH --mail-type=END
#SBATCH --mail-user=YOUR_MAIL
# Wall clock limit:
#SBATCH --time=04:00:00
#SBATCH --no-requeue
#Setup of execution environment
#SBATCH --export=ALL
#SBATCH --account=YOUR_ACCOUNT
#SBATCH --partition=general
#Number of nodes and MPI tasks per node: 
#SBATCH --nodes=120
#SBATCH --ntasks-per-node=2
#Needs specific MPI

export MP_SINGLE_THREAD=no
unset KMP_AFFINITY

export OMP_NUM_THREADS=46
export OMP_PLACES="cores(23)"

export XDMFWRITER_ALIGNMENT=8388608
export XDMFWRITER_BLOCK_SIZE=8388608
export SC_CHECKPOINT_ALIGNMENT=8388608

export SEISSOL_CHECKPOINT_ALIGNMENT=8388608
export SEISSOL_CHECKPOINT_DIRECT=0
export ASYNC_MODE=THREAD
export ASYNC_BUFFER_ALIGNMENT=8388608
export SEISSOL_ASAGI_MPI_MODE=OFF
source /etc/profile.d/modules.sh

ulimit -Ss 2097152
mpiexec -n $SLURM_NTASKS SeisSol_Release_dskx_5_elastic_plasticity parameters_base_slab2.par
